Description.NullDescription (Hamcrest 2.2 API)
Date: 2019-10-17

org.hamcrest

## Class Description.NullDescription

- java.lang.Object
- - org.hamcrest.Description.NullDescription

- All Implemented Interfaces:
    Description
  Enclosing interface:
    Description

      public static final class Description.NullDescription
      extends java.lang.Object
      implements Description

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hamcrest.Description

      `Description.NullDescription`

  - ### Field Summary

    - ### Fields inherited from interface org.hamcrest.Description

      `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullDescription()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Description` | `appendDescriptionOf(SelfDescribing value)` Appends the description of a `SelfDescribing` value to this description.
    `Description` | `appendList(java.lang.String start, java.lang.String separator, java.lang.String end, java.lang.Iterable<? extends SelfDescribing> values)` Appends a list of `SelfDescribing` objects to the description.
    `Description` | `appendText(java.lang.String text)` Appends some plain text to the description.
    `Description` | `appendValue(java.lang.Object value)` Appends an arbitrary value to the description.
    `<T> Description` | `appendValueList(java.lang.String start, java.lang.String separator, java.lang.String end, java.lang.Iterable<T> values)` Appends a list of values to the description.
    `<T> Description` | `appendValueList(java.lang.String start, java.lang.String separator, java.lang.String end, T... values)` Appends a list of values to the description.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullDescription

          public NullDescription()

  - ### Method Detail

    - #### appendDescriptionOf

          public Description appendDescriptionOf(SelfDescribing value)

      Description copied from interface: `Description`
      Appends the description of a `SelfDescribing` value to this description.
      Specified by:
        `appendDescriptionOf` in interface `Description`

    - #### appendList

          public Description appendList(java.lang.String start,
                                        java.lang.String separator,
                                        java.lang.String end,
                                        java.lang.Iterable<? extends SelfDescribing> values)

      Description copied from interface: `Description`
      Appends a list of `SelfDescribing` objects to the description.
      Specified by:
        `appendList` in interface `Description`

    - #### appendText

          public Description appendText(java.lang.String text)

      Description copied from interface: `Description`
      Appends some plain text to the description.
      Specified by:
        `appendText` in interface `Description`

    - #### appendValue

          public Description appendValue(java.lang.Object value)

      Description copied from interface: `Description`
      Appends an arbitrary value to the description.
      Specified by:
        `appendValue` in interface `Description`

    - #### appendValueList

          public <T> Description appendValueList(java.lang.String start,
                                                 java.lang.String separator,
                                                 java.lang.String end,
                                                 T... values)

      Description copied from interface: `Description`
      Appends a list of values to the description.
      Specified by:
        `appendValueList` in interface `Description`

    - #### appendValueList

          public <T> Description appendValueList(java.lang.String start,
                                                 java.lang.String separator,
                                                 java.lang.String end,
                                                 java.lang.Iterable<T> values)

      Description copied from interface: `Description`
      Appends a list of values to the description.
      Specified by:
        `appendValueList` in interface `Description`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`